package llm

import (
	"context"
)

type Chat interface {
	Ask(ctx context.Context, text string) (string, error)
	Close(ctx context.Context) error
}

type AI interface {
	UserBrowserAgent
	Init(ctx context.Context, debug bool) (AI, error)
	NewChat(ctx context.Context) (Chat, error)
	Close(ctx context.Context) error
	GetName() string
}
